Upgrading or Downgrading NI-DAQmx Driver When Using LabVIEW

Publish Date: Feb 02, 2018 | 0 Ratings | 0.00 out of 5 | Print | Submit your review

Overview

Follow the steps in this guide to properly upgrade or downgrade your version of NI-DAQmx. This process ensures that your DAQ code runs correctly, your DAQ palettes and DAQ Assistant are present in the Measurement I/O Function palette, and your device isn’t missing from LabVIEW.

Table of Contents

  1. Ensuring Compatibility before Upgrading or Downgrading
  2. Steps to Upgrade or Downgrade NI-DAQmx
  3. Troubleshooting After Installation

1. Ensuring Compatibility before Upgrading or Downgrading

The most common cause of problems after upgrading or downgrading NI-DAQmx is incompatibility between the Operating System (OS), LabVIEW, NI-DAQmx, and the hardware devices and modules being used. When preparing to upgrade or downgrade your version of NI-DAQmx you’ll need to carefully consider software/driver/hardware compatibility prior to making changes to your system. To properly prepare for changing your version of NI-DAQmx, perform the following:

  1. Determine any versions of LabVIEW and NI-DAQmx already installed on your system. Record the existing versions installed.
  2. Identify the range of compatible versions of NI-DAQmx with the version(s) of LabVIEW you have installed. Write this range down and compare to the versions you wrote down in Step 1. NI recommends using the newest version of NI-DAQmx that your version of LabVIEW supports.
    Note: If you intend to have multiple versions of LabVIEW installed, keep in mind that you can only have one version of NI-DAQmx installed at a time. Unsupported versions of LabVIEW will not have access to the NI-DAQmx API.
  3. Check compatibility of Windows with the version of NI-DAQmx you’ll be moving to.
  4. Verify your device or module compatibility with the new version of NI-DAQmx by checking the readme for that version of NI-DAQmx. Please note that different connector variants of a device may have different first supported versions of NI-DAQmx. You can find some NI-DAQmx readme’s in NI Manuals, and the rest can be accessed through NI Downloads for NI-DAQmx.
    1. You can also check this list of devices that are no longer supported in newer versions of NI-DAQmx.

 

Back to Top

2. Steps to Upgrade or Downgrade NI-DAQmx

Once you have identified and confirmed the correct versions, you can then install NI-DAQmx. The most common cause of issues with installation is the install order. NI installers are designed for the Application Development Environments (ADEs), like LabVIEW, to be installed first, followed by the drivers and add-ons, like NI-DAQmx. If you need to install a new version of LabVIEW, please refer to Upgrading or Downgrading LabVIEW with NI-DAQmx.

Follow these steps:

  1. If you will need to downgrade NI-DAQmx and would like to keep any configuration settings such as device aliases, NI-DAQmx Global Virtual Channels, NI DAQmx-Tasks, etc. first create a System Configuration export in NI-MAX. You must uninstall the current version of NI-DAQmx first if you will be downgrading.
    Note: If you intend to keep or upgrade your current version of NI-DAQmx, skip this step.
    1. You need to uninstall NI-DAQmx Run-Time, Configuration, and ADE Support items. You can uninstall multiple items at once by Ctrl + clicking on them and choosing “Remove Selected Items”.
      Note: You do not need to downgrade NI-MAX when you downgrade NI-DAQmx.
  2. If you are upgrading or have already uninstalled NI-DAQmx, download and run the installer.
    1. If you need .NET or Visual Basic Support choose the “Custom” Installation Option and choose to install these features under “Application Development Support”.
  3. If needed, import your System Configuration to NI-MAX.
    Note: You do not need to downgrade NI-MAX when you downgrade NI-DAQmx.

 

Back to Top

3. Troubleshooting After Installation

If you have already installed LabVIEW and NI-DAQmx and are experiencing issues, follow these troubleshooting steps.

  1. Review steps 1-3 in the Ensuring Compatibility Before Upgrading or Downgrading section of this guide.
    1. If you have incompatible versions of LabVIEW and NI-DAQmx, refer to the Steps to Upgrade or Downgrade NI-DAQmx section of this guide. Ensure that you are downloading and installing a compatible version of the NI-DAQmx driver.
  2. If you are missing some NI-DAQmx features in LabVIEW ensure that you installed the full NI-DAQmx driver including Application Development support and not the Runtime or Runtime with Configuration versions. Installing NI-DAQmx subsets such as Core, Run-Time, or Configuration Support will not install the LabVIEW API. See Can’t Find Some DAQmx Functionality After Installing NI-DAQmx Drivers for additional troubleshooting steps if you are missing NI-DAQmx functionality.
  3. If your NI-DAQmx palette is missing in LabVIEW this is most likely because you did not install NI-DAQmx after upgrading or downgrading LabVIEW, either download and install a new compatible version of NI-DAQmx or run a repair of the existing version.
    1. If a repair does not resolve your issue, attempt a force installation of NI-DAQmx.
  4. If you are having issues with a specific piece of hardware (device is not showing up in NI-MAX, not selectable in LabVIEW, etc.), ensure the module and chassis are supported by the version of NI-DAQmx you have installed by checking the Readme. To find your NI-DAQmx Readme online, refer to Step 4 of Ensuring Compatibility before Upgrading or Downgrading for steps on finding the correct readme.
    1. Ensure that the device is detected and associated properly in Windows Device Manager. If your NI-DAQmx device shows up under “Other Devices” in Windows Device Manager follow these steps for a PXI/PXIe device or a USB/PCI/PCIe device.
    2. Ensure that the device is operating correctly by checking the status LED(s). Refer to the device manual and documentation to interpret the LED color and/or pattern.
    3. Some devices and modules feature different connector variants DSUB, Spring Terminal, etc.) for the same model that were released at different times and may have different first supported versions of NI-DAQmx. For example, the NI 9207, NI 9208, NI 9209, NI 9425, or NI 9476 C Series modules have varying NI-DAQmx support.
    4. If your device is compatible with the version of NI-DAQmx installed but isn’t showing up correctly in NI-MAX, resetting the NI-MAX Database may help.
    5. For other hardware specific issues such as accuracy or signal troubleshooting, refer to the device manual and documentation.
  5. If you have issues starting or running LabVIEW, ensure compatibility between LabVIEW and Windows.

Back to Top

Bookmark & Share


Ratings

Rate this document

Answered Your Question?
Yes No

Submit